Any Shoot - Creative Mode
curl --request POST \
--url https://leapx-hub.com/prod-api/nebula/v4/api/anyShootEasyModeSubmit \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '
{
"size": "<string>",
"contents": [
{}
],
"contents[].parts": [
{}
],
"contents[].parts[].text": "<string>",
"contents[].parts[].image": "<string>"
}
'import requests
url = "https://leapx-hub.com/prod-api/nebula/v4/api/anyShootEasyModeSubmit"
payload = {
"size": "<string>",
"contents": [{}],
"contents[].parts": [{}],
"contents[].parts[].text": "<string>",
"contents[].parts[].image": "<string>"
}
headers = {
"Authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({
size: '<string>',
contents: [{}],
'contents[].parts': [{}],
'contents[].parts[].text': '<string>',
'contents[].parts[].image': '<string>'
})
};
fetch('https://leapx-hub.com/prod-api/nebula/v4/api/anyShootEasyModeSubmit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 200,
"msg": "Operation successful",
"data": {
"url": "https://example.com/generated-image.jpg"
}
}
Any Shoot
Any Shoot - Creative Mode
POST
/
prod-api
/
nebula
/
v4
/
api
/
anyShootEasyModeSubmit
Any Shoot - Creative Mode
Introduction
Submit Any Shoot creative mode task, used to generate creative style transfer images.Authentication
string
required
Bearer Token, e.g.,
Bearer eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9...
How to get: Obtain via the POST interface in the Authentication module at the top left, https://docs.leapx-hub.com/en/leapx-lab-v4/endpoint/get-tokenRequest Parameters
string
required
Image size
object[]
required
Content list
object[]
required
Part list
string
Text content
string
Image content (supports base64 or URL)
Example Code
- cURL Example
- Python Example
curl -X POST "https://leapx-hub.com/prod-api/nebula/v4/api/anyShootEasyModeSubmit" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer sk-xxxxxxxxxx" \
-d '{
"size": "1024x1024",
"contents": [
{
"parts": [
{
"text": "A cute little cat playing on the grass"
},
{
"image": "https://example.com/cat.jpg"
}
]
}
]
}'
import requests
import json
url = "https://leapx-hub.com/prod-api/nebula/v4/api/anyShootEasyModeSubmit"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer sk-xxxxxxxxxx"
}
data = {
"size": "1024x1024",
"contents": [
{
"parts": [
{
"text": "A cute little cat playing on the grass"
},
{
"image": "https://example.com/cat.jpg"
}
]
}
]
}
response = requests.post(url, headers=headers, data=json.dumps(data))
print(response.json())
Response Example
{
"code": 200,
"msg": "Operation successful",
"data": {
"url": "https://example.com/generated-image.jpg"
}
}
⌘I
